summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author abooksigun2020-02-19 11:11:34 +0100
committer Willy Sudiarto Raharjo2020-02-19 11:11:44 +0100
commit595f654c76e2c8ed89ddf1dbd2ea370b72905623 (patch)
tree20f2633a22d5b8f8e49dccfec861b87a13852c3f /development
parentecdd61e54aa6b403b29376aa4bee4569bcd67fb7 (diff)
downloadslackbuilds-595f654c76e2c8ed89ddf1dbd2ea370b72905623.tar.gz
development/dasht: Added (Search API Docs Offline).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/dasht/README11
-rw-r--r--development/dasht/dasht.SlackBuild92
-rw-r--r--development/dasht/dasht.info10
-rw-r--r--development/dasht/slack-desc21
4 files changed, 134 insertions, 0 deletions
diff --git a/development/dasht/README b/development/dasht/README
new file mode 100644
index 0000000000..bb82859643
--- /dev/null
+++ b/development/dasht/README
@@ -0,0 +1,11 @@
+dasht is a collection of shell scripts for searching, browsing, and managing API
+documentation (in the form of 150+ offline documentation sets, courtesy of Dash
+for OS X) all from the comfort of your own terminal!
+
+The name "dasht" is a portmanteau of Dash and the letter "t", for terminal.
+Etymologically, "dasht" is Persian for plain, as in an flat expanse of land,
+which aptly characterizes the terminal environment where everything is text.
+
+Optional dependencies:
+* w3m to display dasht(1) search results
+* socat for dasht-server(1) search engine
diff --git a/development/dasht/dasht.SlackBuild b/development/dasht/dasht.SlackBuild
new file mode 100644
index 0000000000..c9a707a2b7
--- /dev/null
+++ b/development/dasht/dasht.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for dasht
+# Copyright 2020 abooksigun <abooksigun09@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dasht
+VERSION=${VERSION:-2.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -m 755 -d $PKG/usr/bin
+install -m 755 -d $PKG/usr/share/zsh/site-functions
+install -m 755 bin/* $PKG/usr/bin
+install -m 644 etc/zsh/completions/* $PKG/usr/share/zsh/site-functions
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/man/man1
+gzip -9 man/man1/*
+cp -a man/man1/*.gz $PKG/usr/man/man1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md VERSION.md $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/dasht/dasht.info b/development/dasht/dasht.info
new file mode 100644
index 0000000000..88393bc588
--- /dev/null
+++ b/development/dasht/dasht.info
@@ -0,0 +1,10 @@
+PRGNAM="dasht"
+VERSION="2.3.0"
+HOMEPAGE="https://github.com/sunaku/dasht"
+DOWNLOAD="https://github.com/sunaku/dasht/archive/v2.3.0/dasht-2.3.0.tar.gz"
+MD5SUM="88dcb1ea365d856400459a7f7c371a57"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="abooksigun"
+EMAIL="abooksigun09@gmail.com"
diff --git a/development/dasht/slack-desc b/development/dasht/slack-desc
new file mode 100644
index 0000000000..2eff4a3b3e
--- /dev/null
+++ b/development/dasht/slack-desc
@@ -0,0 +1,21 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dasht: dasht (Search API docs offline, in your terminal or browser)
+dasht:
+dasht: dasht is a collection of shell scripts for searching, browsing, and
+dasht: managing API documentation (in the form of 150+ offline documentation
+dasht: sets, courtesy of Dash for OS X) all from the comfort of your own
+dasht: terminal!
+dasht:
+dasht: The name "dasht" is a portmanteau of Dash and the letter "t", for
+dasht: terminal. Etymologically, "dasht" is Persian for plain, as in an flat
+dasht: expanse of land, which aptly characterizes the terminal environment
+dasht: where everything is text.
+dasht:
+dasht: Homepage: https://github.com/sunaku/dasht